%{?mingw_package_header}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           mingw-libsigc++20
Version:        2.10.6
Release:        %mkrel 1
Summary:        MinGW Windows port of the typesafe signal framework for C++

License:        LGPLv2+
Group:          Development/Other
URL:            http://libsigc.sourceforge.net/
Source0:        https://download.gnome.org/sources/libsigc++/%{url_ver}/libsigc++-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils

BuildRequires:  m4

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses libsigc++.


# Win32
%package -n mingw32-libsigc++20
Summary:        MinGW Windows port of the typesafe signal framework for C++

%description -n mingw32-libsigc++20
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses libsigc++.

%package -n mingw32-libsigc++20-static
Summary:        Static cross compiled version of the libsigc++ library
Requires:       mingw32-libsigc++20 = %{version}-%{release}

%description -n mingw32-libsigc++20-static
Static cross compiled version of the libsigc++ library.

# Win64
%package -n mingw64-libsigc++20
Summary:        MinGW Windows port of the typesafe signal framework for C++

%description -n mingw64-libsigc++20
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses libsigc++.

%package -n mingw64-libsigc++20-static
Summary:        Static cross compiled version of the libsigc++ library
Requires:       mingw64-libsigc++20 = %{version}-%{release}

%description -n mingw64-libsigc++20-static
Static cross compiled version of the libsigc++ library.


%{?mingw_debug_package}


%prep
%setup -q -n libsigc++-%{version}


%build
%mingw_meson --default-library=both -Dbuild-documentation=false
%mingw_ninja


%install
%mingw_ninja_install

chmod a-x %{buildroot}%{mingw32_libdir}/libsigc-2.0.dll.a
chmod a-x %{buildroot}%{mingw64_libdir}/libsigc-2.0.dll.a


# Win32
%files -n mingw32-libsigc++20
%license COPYING
%{mingw32_bindir}/libsigc-2.0-0.dll
%{mingw32_libdir}/libsigc-2.0.dll.a
%{mingw32_libdir}/pkgconfig/sigc++-2.0.pc
%{mingw32_includedir}/sigc++-2.0
%{mingw32_libdir}/sigc++-2.0

%files -n mingw32-libsigc++20-static
%{mingw32_libdir}/libsigc-2.0.a

# Win64
%files -n mingw64-libsigc++20
%license COPYING
%{mingw64_bindir}/libsigc-2.0-0.dll
%{mingw64_libdir}/libsigc-2.0.dll.a
%{mingw64_libdir}/pkgconfig/sigc++-2.0.pc
%{mingw64_includedir}/sigc++-2.0
%{mingw64_libdir}/sigc++-2.0

%files -n mingw64-libsigc++20-static
%{mingw64_libdir}/libsigc-2.0.a




%changelog
* Wed Nov 25 2020 ovitters <ovitters> 2.10.6-1.mga8
+ Revision: 1649276
- new version 2.10.6

* Mon Sep 28 2020 daviddavid <daviddavid> 2.10.4-1.mga8
+ Revision: 1630872
- switch to meson build system
+ ovitters <ovitters>
- new version 2.10.4

* Sat Sep 26 2020 tv <tv> 2.10.3-2.mga8
+ Revision: 1630272
- rebuild for new mingw stack

* Sat May 02 2020 daviddavid <daviddavid> 2.10.3-1.mga8
+ Revision: 1577868
- new version: 2.10.3

* Sat Feb 15 2020 umeabot <umeabot> 2.10.2-2.mga8
+ Revision: 1526835
- Mageia 8 Mass Rebuild

* Tue Jul 02 2019 ovitters <ovitters> 2.10.2-1.mga8
+ Revision: 1417810
- new version 2.10.2

* Tue Oct 30 2018 ovitters <ovitters> 2.10.1-1.mga7
+ Revision: 1326758
- new version 2.10.1

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-2.mga7
+ Revision: 1279853
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 daviddavid <daviddavid> 2.10.0-1.mga7
+ Revision: 1246821
- new version: 2.10.0

* Wed Apr 06 2016 tv <tv> 2.8.0-1.mga6
+ Revision: 998869
- new release
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 13 2015 ovitters <ovitters> 2.6.2-1.mga6
+ Revision: 902994
- new version 2.6.2

* Thu Oct 08 2015 ovitters <ovitters> 2.6.1-1.mga6
+ Revision: 887921
- new version 2.6.1

* Thu Sep 03 2015 ovitters <ovitters> 2.5.4-1.mga6
+ Revision: 872530
- new version 2.5.4

* Sat Aug 29 2015 ovitters <ovitters> 2.5.3-1.mga6
+ Revision: 871009
- new version 2.5.3

* Thu Aug 20 2015 ovitters <ovitters> 2.5.2-1.mga6
+ Revision: 866781
- new version 2.5.2

* Tue Aug 11 2015 ovitters <ovitters> 2.5.1-1.mga6
+ Revision: 862475
- new version 2.5.1

* Sat Jun 20 2015 ovitters <ovitters> 2.4.1-1.mga6
+ Revision: 836500
- new version 2.4.1

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 750934
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-2.mga5
+ Revision: 682483
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 2.4.0-1.mga5
+ Revision: 676801
- new version 2.4.0

* Fri Aug 01 2014 ovitters <ovitters> 2.3.2-1.mga5
+ Revision: 658923
- new version 2.3.2
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 2.3.1-3.mga4
+ Revision: 536325
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 2.3.1-2.mga4
+ Revision: 484111
- imported package mingw-libsigc++20

